﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation either version
 * 2 of the License, or (at your option) any later version.
 * 
 * ExtremeML is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

using System;
using DocumentFormat.OpenXml;

namespace ExtremeML.Builder
{
	/// <summary>
	/// Replicates a sibset of methods from the <see cref="Lookup"/> class, since Lookup
	/// cannot be used at the survey stage, due to the absences of ChildElementReference.xml.
	/// </summary>
	internal static class Utility
	{
		/// <summary>
		/// Returns whether the passed <see cref="Type"/> is derived from <see cref="OpenXmlElement"/>.
		/// </summary>
		public static bool IsElementType(
			Type type)
		{
			return type != null && !type.IsAbstract && type.IsSubclassOf(typeof(OpenXmlElement));
		}
	}
}