﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute
 * it and/or modify it under the terms of the GNU General Public
 * License, as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

namespace ExtremeML.Core
{
	/// <summary>
	/// Extends <see cref="IWrapper"/>  to include members common to all OpenXml package, part and element wrappers.
	/// </summary>
	public interface IContentWrapper : IWrapper
	{
		/// <summary>
		/// Gets the root <see cref="IContentWrapper"/> instance.
		/// </summary>
		IContentWrapper Package { get; }

		/// <summary>
		/// Gets the parent <see cref="IContentWrapper"/> instance.
		/// </summary>
		IContentWrapper Parent { get; }

		/// <summary>
		/// Returns an <see cref="object"/> that represents the content from which the derived instance was populated.
		/// </summary>
		object GetWrappedContentObject();
	}
}
