﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute
 * it and/or modify it under the terms of the GNU General Public
 * License, as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

namespace ExtremeML.Core
{
	/// <summary>
	/// Defines a mechanism for discovering the data content status of a wrapper.
	/// </summary>
	public interface IWrapper
	{
		/// <summary>
		/// Establishes relationships with other package content objects.
		/// </summary>
		void Activate();

		/// <summary>
		/// Safely terminates relationships with other package content objects.
		/// </summary>
		void Deactivate();

		/// <summary>
		/// Returns a value that indicates whether this instance wraps content that should be saved to the document.
		/// </summary>
		bool IsPopulated();
	}
}
