﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute
 * it and/or modify it under the terms of the GNU General Public
 * License, as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

using System.Xml.Linq;

namespace ExtremeML.Sdk.Vml
{
	/// <summary>
	/// Implements a Vml shape layout for use with worksheet comments.
	/// </summary>
	internal class CommentShapeLayout : ShapeLayout
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="CommentShapeLayout"/> class.
		/// </summary>
		public CommentShapeLayout()
			: this(GetDefaultElementContent())
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="CommentShapeLayout"/> class.
		/// </summary>
		/// <param name="element">An <see cref="XElement"/> from which to populate this instance.</param>
		public CommentShapeLayout(
			XElement element)
			: base(element)
		{
		}

		/// <summary>
		/// Returns an <see cref="XElement"/> containing the default content for this class.
		/// </summary>
		private static XElement GetDefaultElementContent()
		{
			return new XElement(Utility.O + "shapelayout",
				new XAttribute(Utility.V + "ext", "edit"),
				new XElement(Utility.O + "idmap",
					new XAttribute(Utility.V + "ext", "edit"),
					new XAttribute("data", "1")));
		}
	}
}