﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute
 * it and/or modify it under the terms of the GNU General Public
 * License, as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

namespace ExtremeML.Spreadsheet.HeaderFooter
{
	/// <summary>
	/// Enumerates the permitted usages of headers and footers in a worksheet.
	/// </summary>
	public enum HeaderFooterUsage
	{
		/// <summary>
		/// The first header.
		/// </summary>
		FirstHeader = 0,
		/// <summary>
		/// Odd headers.
		/// </summary>
		/// <remarks>
		/// Also used for the first page and even pages when these pages do not have an explicitly defined header.
		/// </remarks>
		OddHeader = 1,
		/// <summary>
		/// Even headers.
		/// </summary>
		EvenHeader = 2,
		/// <summary>
		/// The first footer.
		/// </summary>
		FirstFooter = 3,
		/// <summary>
		/// Odd footers.
		/// </summary>
		/// <remarks>
		/// Also used for the first page and even pages when these pages do not have an explicitly defined footer.
		/// </remarks>
		OddFooter = 4,
		/// <summary>
		/// Even footers.
		/// </summary>
		EvenFooter = 5
	}
}
