﻿#region License
/* Copyright (C) 2009 Tim Coulter
 * 
 * This file is part of ExtremeML.
 * 
 * ExtremeML is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation either version
 * 2 of the License, or (at your option) any later version.
 * 
 * ExtremeML is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
*/
#endregion

using ExtremeML.Packaging;
using ExtremeML.Spreadsheet.Address;
using NUnit.Framework;

namespace ExtremeML.Tests
{
	[TestFixture]
	public class ManipulateCellStyles
	{
		[Test]
		public void VerifyCellStylePropagation()
		{
			using (var package = SpreadsheetDocumentWrapper.Open(Utility.CreateFileFromResource(Utility.StyleSamplesTemplateResource)))
			{
				var part = package.WorkbookPart.WorksheetParts["Sheet1"];

				Assert.AreEqual(5, part.Worksheet.SheetData.Rows.Count, "Row count.");
				part.Worksheet.InsertRows(3, 5);
				Assert.AreEqual(10, part.Worksheet.SheetData.Rows.Count, "Row count.");

				foreach (var row in part.Worksheet.SheetData.Rows)
				{
					Assert.AreEqual(1, row.Cells.Count, "Cell count.");
					Assert.IsNotNull(row.Cells[0].StyleIndex, "Cell StyleIndex.");
				}
			}
		}
	}
}
